- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Attributes

# QTabletEvent Class Reference

Search for all occurrences

## Detailed Description

Definition at line 174 of file qevent.h.

`#include <qevent.h>`

Inheritance diagram for QTabletEvent:
[legend]

List of all members.

## Public Types
enum | TabletDevice { NoDevice, Puck, Stylus, Airbrush, FourDMouse, XFreeEraser, RotationStylus }
enum | PointerType { UnknownPointer, Pen, Cursor, Eraser }
## Public Member Functions
| QTabletEvent (Type t, const QPoint &pos, const QPoint &globalPos, const QPointF &hiResGlobalPos, int device, int pointerType, qreal pressure, int xTilt, int yTilt, qreal tangentialPressure, qreal rotation, int z, Qt::KeyboardModifiers keyState, qint64 uniqueID)
| ~QTabletEvent ()
const QPoint & | pos () const
const QPoint & | globalPos () const
const QPointF & | hiResGlobalPos () const
int | x () const
int | y () const
int | globalX () const
int | globalY () const
qreal | hiResGlobalX () const
qreal | hiResGlobalY () const
TabletDevice | device () const
PointerType | pointerType () const
qint64 | uniqueId () const
qreal | pressure () const
int | z () const
qreal | tangentialPressure () const
qreal | rotation () const
int | xTilt () const
int | yTilt () const
## Protected Attributes
QPoint | mPos
QPoint | mGPos
QPointF | mHiResGlobalPos
int | mDev
int | mPointerType
int | mXT
int | mYT
int | mZ
qreal | mPress
qreal | mTangential
qreal | mRot
qint64 | mUnique
void * | mExtra

## Member Enumeration Documentation

enum TabletDevice

Search for all occurrences

Enumerator:

  NoDevice | Search for all occurrences
  Puck | Search for all occurrences
  Stylus | Search for all occurrences
  Airbrush | Search for all occurrences
  FourDMouse | Search for all occurrences
  XFreeEraser | Search for all occurrences
  RotationStylus | Search for all occurrences

Definition at line 177 of file qevent.h.

                          { NoDevice, Puck, Stylus, Airbrush, FourDMouse,
                            XFreeEraser /*internal*/, RotationStylus };

enum PointerType

Search for all occurrences

Enumerator:

  UnknownPointer | Search for all occurrences
  Pen | Search for all occurrences
  Cursor | Search for all occurrences
  Eraser | Search for all occurrences

Definition at line 179 of file qevent.h.

    { UnknownPointer, Pen, Cursor, Eraser };

## Constructor & Destructor Documentation

QTabletEvent | ( | Type | t,
|  | const QPoint & | pos,
|  | const QPoint & | globalPos,
|  | const QPointF & | hiResGlobalPos,
|  | int | device,
|  | int | pointerType,
|  | qreal | pressure,
|  | int | xTilt,
|  | int | yTilt,
|  | qreal | tangentialPressure,
|  | qreal | rotation,
|  | int | z,
|  | Qt::KeyboardModifiers | keyState,
|  | qint64 | uniqueID
| ) |  |

~QTabletEvent | ( |  | ) |

## Member Function Documentation

const QPoint& pos | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 186 of file qevent.h.

    { return mPos; }

const QPoint& globalPos | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 187 of file qevent.h.

    { return mGPos; }

const QPointF& hiResGlobalPos | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 188 of file qevent.h.

    { return mHiResGlobalPos; }

int x | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 189 of file qevent.h.

    { return mPos.x(); }

int y | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 190 of file qevent.h.

    { return mPos.y(); }

int globalX | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 191 of file qevent.h.

    { return mGPos.x(); }

int globalY | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 192 of file qevent.h.

    { return mGPos.y(); }

qreal hiResGlobalX | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 193 of file qevent.h.

    { return mHiResGlobalPos.x(); }

qreal hiResGlobalY | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 194 of file qevent.h.

    { return mHiResGlobalPos.y(); }

TabletDevice device | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 195 of file qevent.h.

    { return TabletDevice(mDev); }

PointerType pointerType | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 196 of file qevent.h.

    { return PointerType(mPointerType); }

qint64 uniqueId | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 197 of file qevent.h.

    { return mUnique; }

qreal pressure | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 198 of file qevent.h.

    { return mPress; }

int z | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 199 of file qevent.h.

    { return mZ; }

qreal tangentialPressure | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 200 of file qevent.h.

    { return mTangential; }

qreal rotation | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 201 of file qevent.h.

    { return mRot; }

int xTilt | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 202 of file qevent.h.

    { return mXT; }

int yTilt | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 203 of file qevent.h.

    { return mYT; }

## Member Data Documentation

QPoint mPos `[protected]`

Search for all occurrences

Definition at line 206 of file qevent.h.

QPoint mGPos `[protected]`

Search for all occurrences

Definition at line 206 of file qevent.h.

QPointF mHiResGlobalPos `[protected]`

Search for all occurrences

Definition at line 207 of file qevent.h.

int mDev `[protected]`

Search for all occurrences

Definition at line 208 of file qevent.h.

int mPointerType `[protected]`

Search for all occurrences

Definition at line 208 of file qevent.h.

int mXT `[protected]`

Search for all occurrences

Definition at line 208 of file qevent.h.

int mYT `[protected]`

Search for all occurrences

Definition at line 208 of file qevent.h.

int mZ `[protected]`

Search for all occurrences

Definition at line 208 of file qevent.h.

qreal mPress `[protected]`

Search for all occurrences

Definition at line 209 of file qevent.h.

qreal mTangential `[protected]`

Search for all occurrences

Definition at line 209 of file qevent.h.

qreal mRot `[protected]`

Search for all occurrences

Definition at line 209 of file qevent.h.

qint64 mUnique `[protected]`

Search for all occurrences

Definition at line 210 of file qevent.h.

void* mExtra `[protected]`

Search for all occurrences

Definition at line 215 of file qevent.h.

The documentation for this class was generated from the following file:

- QtGui/qevent.h

QTabletEvent QTabletEvent QTabletEvent QTabletEvent QTabletEvent QTabletEvent QTabletEvent QTabletEvent QTabletEvent QTabletEvent
QTabletEvent QTabletEvent QTabletEvent QTabletEvent QTabletEvent QTabletEvent QTabletEvent QTabletEvent QTabletEvent QTabletEvent